Olympus Docs
ReferenceAPIsOry Identities APIfrontend

Get My Active Sessions

This endpoints returns all other active sessions that belong to the logged-in user.

GET /sessions

This endpoints returns all other active sessions that belong to the logged-in user. The current session can be retrieved by calling the /sessions/whoami endpoint.

Operation ID: listMySessions    Tag: frontend

Query parameters

NameTypeRequiredDescription
per_pageinteger (int64)noDeprecated Items per Page DEPRECATED: Please use page_token instead. This parameter will be removed in the future. This is the number of items per page.
pageinteger (int64)noDeprecated Pagination Page DEPRECATED: Please use page_token instead. This parameter will be removed in the future. This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list. For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the Link header.
page_sizeinteger (int64)noPage Size This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
page_tokenstringnoNext Page Token The next page token. For details on pagination please head over to the pagination documentation.

Header parameters

NameTypeRequiredDescription
X-Session-TokenstringnoSet the Session Token when calling from non-browser clients. A session token has a format of MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj.
CookiestringnoSet the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==. It is ok if more than one cookie are included here as all other cookies will be ignored.

Responses

StatusDescriptionBody
200List My Session Responseapplication/json, array of object
400errorGenericapplication/json, object
401errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Generated from /tmp/kratos-api.json at build time.

On this page